> ## Documentation Index
> Fetch the complete documentation index at: https://www.edenai.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tokens



## OpenAPI

````yaml https://api.edenai.run/v2/info/splitted-schema/user/openapi.json get /user/custom_token/
openapi: 3.0.3
info:
  title: User Management
  version: '2.0'
  description: Your project description
servers:
  - url: https://api.edenai.run/v2
security: []
paths:
  /user/custom_token/:
    get:
      tags:
        - User Management
      summary: List Tokens
      operationId: user_root_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustomTokensList'
          description: ''
      security:
        - FeatureApiAuth: []
components:
  schemas:
    CustomTokensList:
      type: object
      properties:
        name:
          type: string
          description: The token name
          maxLength: 200
        token:
          type: string
          nullable: true
          maxLength: 2000
        token_type:
          $ref: '#/components/schemas/TokenTypeEnum'
        balance:
          type: number
          format: double
          maximum: 100000
          minimum: -100000
          exclusiveMaximum: true
          exclusiveMinimum: true
          description: >-
            Optional remaining credits balance for this Token, if
            `active_balance` is set to True and the balance reaches 0, this
            token will become unusable
        active_balance:
          type: boolean
          description: Weither to use the balance field or not.
        expire_time:
          type: string
          format: date-time
          nullable: true
      required:
        - name
    TokenTypeEnum:
      enum:
        - sandbox_api_token
        - api_token
      type: string
      description: |-
        * `sandbox_api_token` - Sandbox
        * `api_token` - Back
  securitySchemes:
    FeatureApiAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````